%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------
%-- b2_s38C.erl
%--
%-- AUTHORS:     Anonymous
%-- DATE:        2016 
%-- PUBLISHED:   This is one of the possible minimal slices of a program specially 
%--              developed to test higher order functions and anonymous functions.
%--
%-- COPYLEFT:    This Erlang version is distributed in "Bencher: The Program Slicing 
%--              Benchmark Suite for Erlang" (Universitat Politècnica de València). 
%--              It is free of use and publicly available in the URL: 
%--              http://www.dsic.upv.es/~jsilva/slicing/bencher/
%--
%-- DESCRIPTION
%-- The benchmark receives two input parameters and executes a call to a function using fun 
%-- expressions. These expressions are stored in variables and are called later.
%-- 
%-- ORIGINAL PROGRAM: Available at: 
%--    http://www.dsic.upv.es/~jsilva/slicing/bencher/programs/bench2.erl
%-- SLICING CRITERION: (38,C)/(Node 28)
%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------

-module(b2_s38C).
-export([main/2]).

main(A,B)->
	if 
	   true -> C=f(B,A)
	end,
	C.

f(X,Y) -> 
	case undef of
		_ -> 
			fun(B,E) ->
				B+E 
			end(X,Y)
	end.
