%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------
%-- b3_s28C.erl
%--
%-- AUTHORS:     Anonymous
%-- DATE:        2016 
%-- PUBLISHED:   This is the (only) possible minimal slice of a program specially  
%-- 			 developed to test unreachable clauses.
%--
%-- COPYLEFT:    This Erlang version is distributed in "Bencher: The Program Slicing 
%--              Benchmark Suite for Erlang" (Universitat Politècnica de València). 
%--              It is free of use and publicly available in the URL: 
%--              http://www.dsic.upv.es/~jsilva/slicing/bencher/
%--
%-- DESCRIPTION
%-- This benchmark contains a function that receives two tuples with two elements as 
%-- inputs and calls another one named ft with two condicional statements. Note that 
%-- the third clause of the second conditional statement is unreachable.
%--
%-- ORIGINAL PROGRAM: Available at: 
%--    http://www.dsic.upv.es/~jsilva/slicing/bencher/programs/bench3.erl
%-- SLICING CRITERION: (28,C)/(Node 8)
%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------

-module(b3_s28C).
-export([tuples/2]).

tuples(A,_) -> 
	C=ft(A,undef).

ft({X1,X2},_) ->
	if	X1 > X2 ->  
			_ = 5;
		true ->  
			_ = X2
	end.
