%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------
%-- b7_s27C.erl
%--
%-- AUTHORS: 	 Anonymous
%-- DATE:        2016           
%-- PUBLISHED:   This is the (only) minimal slice of a program specially developed 
%-- 			 to test dead code detection.
%--
%-- COPYLEFT:    This Erlang version is distributed in "Bencher: The Program Slicing 
%--              Benchmark Suite for Erlang" (Universitat Politècnica de València). 
%--              It is free of use and publicly available in the URL: 
%--              http://www.dsic.upv.es/~jsilva/slicing/bencher/
%--
%-- DESCRIPTION
%-- This benchmark consists in a function that receives two numbers as inputs and calls
%-- another one with a conditional structure that contains a dead code statement.
%--
%-- ORIGINAL PROGRAM: Available at: 
%--    http://www.dsic.upv.es/~jsilva/slicing/bencher/programs/bench7.erl
%-- SLICING CRITERION: (27,C)/(Node 8)
%-----------------------------------------------------------------------------------------
%-----------------------------------------------------------------------------------------

-module(b7_s27C).
-export([numbers/2]).

numbers(A,_) -> 
	C=fn(A,undef).

fn(X,_) ->
	if	X>5 -> X; 
		true -> 
			X+2
	end.